<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chaozhanggui.dao.system.dao.TbPlussMccInfoRyxMapper">
  <resultMap id="BaseResultMap" type="com.chaozhanggui.dao.system.entity.TbPlussMccInfoRyx">
    <result column="type" jdbcType="VARCHAR" property="type" />
    <result column="mcc" jdbcType="VARCHAR" property="mcc" />
    <result column="bankTypeDesc" jdbcType="VARCHAR" property="banktypedesc" />
    <result column="bankDetailDesc" jdbcType="VARCHAR" property="bankdetaildesc" />
    <result column="wxTypeId" jdbcType="VARCHAR" property="wxtypeid" />
    <result column="mccDesc" jdbcType="VARCHAR" property="mccdesc" />
  </resultMap>
  <insert id="insert" parameterType="com.chaozhanggui.dao.system.entity.TbPlussMccInfoRyx">
    insert into tb_pluss_mcc_info_ryx (type, mcc, bankTypeDesc, 
      bankDetailDesc, wxTypeId, mccDesc
      )
    values (#{type,jdbcType=VARCHAR}, #{mcc,jdbcType=VARCHAR}, #{banktypedesc,jdbcType=VARCHAR}, 
      #{bankdetaildesc,jdbcType=VARCHAR}, #{wxtypeid,jdbcType=VARCHAR}, #{mccdesc,jdbcType=VARCHAR}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.chaozhanggui.dao.system.entity.TbPlussMccInfoRyx">
    insert into tb_pluss_mcc_info_ryx
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="type != null">
        type,
      </if>
      <if test="mcc != null">
        mcc,
      </if>
      <if test="banktypedesc != null">
        bankTypeDesc,
      </if>
      <if test="bankdetaildesc != null">
        bankDetailDesc,
      </if>
      <if test="wxtypeid != null">
        wxTypeId,
      </if>
      <if test="mccdesc != null">
        mccDesc,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="type != null">
        #{type,jdbcType=VARCHAR},
      </if>
      <if test="mcc != null">
        #{mcc,jdbcType=VARCHAR},
      </if>
      <if test="banktypedesc != null">
        #{banktypedesc,jdbcType=VARCHAR},
      </if>
      <if test="bankdetaildesc != null">
        #{bankdetaildesc,jdbcType=VARCHAR},
      </if>
      <if test="wxtypeid != null">
        #{wxtypeid,jdbcType=VARCHAR},
      </if>
      <if test="mccdesc != null">
        #{mccdesc,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
</mapper>